<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Downloads;

abstract class DownloadsController extends \Kufer\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  
  protected $statusMessageContainer;

  public function __construct($pStatusMessageContainer = null)
  {
    $this->statusMessageContainer = $pStatusMessageContainer;
  }

  protected function getRequestObj()
  {
    $requestObj = new DownloadsRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    
    $requestObj->statusMessageContainer = $this->statusMessageContainer;

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new DownloadsPresenter($pUseCaseResponse);
  }
}